Skip to content

Product attributes

GET
/v2/product-characteristic
curl --request GET \
--url 'https://api-admin.billz.ai/v2/product-characteristic?limit=1000&page=1&is_deleted=false&show_visible_when_deleted=false' \
--header 'Authorization: Bearer <token>' \
--header 'accept-language: ru' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

limit
integer format: int32
default: 10

Non-numeric — 400

Example
1000
page
integer format: int32
default: 1

Non-numeric -> 400 + 500

search
string

Search

is_deleted
boolean

Invalid value — 400

show_visible_when_deleted
boolean
accept-language
string
default: ru

Ru|uz|en, otherwise -> ru

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
product_characteristics
Array<object>
object
id
string
company_id
string
name

Localized according to Accept-Language

string
system_name
string
is_editable
boolean
visible_when_deleted
boolean
is_deletable
boolean
is_dynamic
boolean
type
string
deleted_at
integer format: int64
active_count

Number of active attributes

integer format: int32
deleted_count

Number of deleted attributes

integer format: int32
Examplegenerated
{
"product_characteristics": [
{
"id": "example",
"company_id": "example",
"name": "example",
"system_name": "example",
"is_editable": true,
"visible_when_deleted": true,
"is_deletable": true,
"is_dynamic": true,
"type": "example",
"deleted_at": 1
}
],
"active_count": 1,
"deleted_count": 1
}